Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ToolEntry

All Superinterfaces:
  EntryBase, EObject, Notifier, ToolGroupItem

All Known Implementing Classes:
  ToolEntryImpl

public interface ToolEntry
extends EntryBase, ToolGroupItem

A representation of the model object 'Tool Entry'.

The following features are supported:

- `Default`
- `Gen Nodes`
- `Gen Links`
- `Elements`
- `Qualified Tool Name`
- `Properties`

See Also:
  `GMFGenPackage.getToolEntry()`
** Generated **
Model:

Method Summary
`EList` `getElements()` Returns the value of the 'Elements' reference list.
`EList` `getGenLinks()` Returns the value of the 'Gen Links' reference list.
`EList` `getGenNodes()` Returns the value of the 'Gen Nodes' reference list.
`EMap` `getProperties()` Returns the value of the 'Properties' map.
`java.lang.String` `getQualifiedToolName()` Returns the value of the 'Qualified Tool Name' attribute
`boolean` `isDefault()` Returns the value of the 'Default' attribute.
`void` `setDefault(boolean value)` Sets the value of the '`Default`' attribute
`void` `setQualifiedToolName(java.lang.String value)` Sets the value of the '`Qualified Tool Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EntryBase
`getCreateMethodName, getDescription, getLargeIconPath, getSmallIconPath, getTitle, setCreateMethodName, setDescription, setLargeIconPath, setSmallIconPath, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isDefault

    public boolean isDefault()

  Returns the value of the 'Default' attribute. The default value is `"false"`.

  If the meaning of the 'Default' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default' attribute.
  See Also:
    `ToolEntry.setDefault(boolean)`, `GMFGenPackage.getToolEntry_Default()`
  ** Generated **
  Model:
    default="false"

### setDefault

    public void setDefault(boolean value)

  Sets the value of the '`Default`' attribute.

  Parameters:
    `value` - the new value of the 'Default' attribute.
  See Also:
    `ToolEntry.isDefault()`
  ** Generated **

### getGenNodes

    public EList getGenNodes()

  Returns the value of the 'Gen Nodes' reference list. The list contents are of type `GenNode`.

  If the meaning of the 'Gen Nodes' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Gen Nodes' reference list.
  See Also:
    `GMFGenPackage.getToolEntry_GenNodes()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenNode"

### getGenLinks

    public EList getGenLinks()

  Returns the value of the 'Gen Links' reference list. The list contents are of type `GenLink`.

  If the meaning of the 'Gen Links' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Gen Links' reference list.
  See Also:
    `GMFGenPackage.getToolEntry_GenLinks()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenLink"

### getElements

    public EList getElements()

  Returns the value of the 'Elements' reference list. The list contents are of type `GenCommonBase`.

  If the meaning of the 'Elements' reference list isn't clear, there really should be more of a description here...

  Enforces 'tool for either node or link' - if there are values in genNodes list, returns it (no respect to values in genLinks); returns value of genLinks otherwise

  Returns:
    the value of the 'Elements' reference list.
  See Also:
    `GMFGenPackage.getToolEntry_Elements()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenCommonBase" transient="true" changeable="false" volatile="true" derived="true"

### getQualifiedToolName

    public java.lang.String getQualifiedToolName()

  Returns the value of the 'Qualified Tool Name' attribute. Optional

  Returns:
    the value of the 'Qualified Tool Name' attribute.
  See Also:
    `ToolEntry.setQualifiedToolName(String)`, `GMFGenPackage.getToolEntry_QualifiedToolName()`
  ** Generated **
  Model:

### setQualifiedToolName

    public void setQualifiedToolName(java.lang.String value)

  Sets the value of the '`Qualified Tool Name`' attribute.

  Parameters:
    `value` - the new value of the 'Qualified Tool Name' attribute.
  See Also:
    `ToolEntry.getQualifiedToolName()`
  ** Generated **

### getProperties

    public EMap getProperties()

  Returns the value of the 'Properties' map. The key is of type `String`, and the value is of type `String`,

  If the meaning of the 'Properties' map isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Properties' map.
  See Also:
    `GMFGenPackage.getToolEntry_Properties()`
  ** Generated **
  Model:
    mapType="org.eclipse.emf.ecore.EStringToStringMapEntry" keyType="java.lang.String" valueType="java.lang.String"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.